mnoGoSearch 3.2.39 reference manual: Full-featured search engine software
Prev |  | Next

# SQLWordForms

## Name

SQLWordForms -- load synonyms or word forms from the database

search.htm

## Synopsis

SQLWordForms {str}

##

This command provides a fuzzy search method, alternative to Synonyms and Ispell methods. It allows to specify a SQL query which will be executed to generate word forms or synonyms from the database. The query must return exactly one column with individual word form or synonym on a separate row. The query is sent to the database specified in DBAddr command. If the case of multiple DBAddr commands, only the first one is used for word forms generating. The SQL query is executed for every word typed by the user, with the "$1" macro replaced to the word.

## Examples

    SQLWordForms "SELECT sp1.form FROM spell sp1, spell sp2 WHERE sp1.word=sp2.word AND sp2.form='$1'"

Prev | Home | Next
Spell | Up | StartHops